Bug 60805 - 404 on package header
404 on package header
Status: CLOSED NOTABUG
Product: Red Hat Network
Classification: Red Hat
Component: RHN/Channels (Show other bugs)
RHN Stable
All Linux
medium Severity high
: ---
: ---
Assigned To: Chip Turner
Jay Turner
:
: 60804 (view as bug list)
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2002-03-06 19:18 EST by Isaiah Weiner
Modified: 2015-01-07 18:55 EST (History)
8 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2002-04-16 16:34:22 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Isaiah Weiner 2002-03-06 19:18:39 EST
Description of problem:
Package header downloading failed.  Please fix ASAP, or tell me how to fix it.

Version-Release number of selected component (if applicable):


How reproducible:
Always

Steps to Reproduce:
1. rhn_check -v
2. 

Actual Results:  bash-2.04$ su root -c '/usr/sbin/rhn_check -v'
Password: 
handle_action actionid = 1883947, version = 2
Traceback (innermost last):
  File "/usr/sbin/rhn_check", line 254, in ?
    handle_action(action)
  File "/usr/sbin/rhn_check", line 159, in handle_action
    (status, message, data) = do_call(method, params)   
  File "/usr/sbin/rhn_check", line 72, in do_call
    retval = apply(method, params)
  File "/usr/share/rhn/actions/packages.py", line 110, in update
    res = batchRun(0, pkgList)
  File "/usr/share/rhn/actions/packages.py", line 122, in batchRun
    ret = wrapper.batchRun(onlyList, [], 0, fromDaemon = 1, actionPkgs = 
pkgList)
  File "/usr/share/rhn/up2date_client/wrapper.py", line 905, in batchRun
    ret = runFromDaemon(pkgNames, actionPkgs, availUpdates, fromDaemon)
  File "/usr/share/rhn/up2date_client/wrapper.py", line 870, in runFromDaemon
    None, None )
  File "/usr/share/rhn/up2date_client/up2date.py", line 1570, in 
getUpdatedPackageList
    refreshCallback)
  File "/usr/share/rhn/up2date_client/up2date.py", line 827, in getHeaders
    hdr, sourcetype = doCall(headerSource.getHeader, pkg)
  File "/usr/share/rhn/up2date_client/up2date.py", line 313, in doCall
    raise CommunicationError(e.errmsg)
up2date_client.up2date.CommunicationError: Error communicating with server.  
The message was:
404: "Not Found" while attempting to get 
$RHN/cisco-live/getPackageHeader/cisco-sysfiles-2.43-2.noarch.hdr


Expected Results:  No error.

Additional info:
Comment 1 Mihai Ibanescu 2002-03-06 19:26:51 EST
*** Bug 60804 has been marked as a duplicate of this bug. ***
Comment 2 Mihai Ibanescu 2002-03-06 19:28:26 EST
Please check if cisco-live is marked as a local channel in the proxy. That is,
check if LOCAL_CHANNELS contains the string 'cisco-live'
Comment 3 Isaiah Weiner 2002-03-06 19:33:22 EST
Yes, it is: LOCAL_CHANNELS = ["cisco-beta","cisco-live"]
Comment 4 Mihai Ibanescu 2002-03-06 19:37:22 EST
Okay. Is the package in the local repository? Should be in something like:

<mount-point>/cisco-live/RPMS/<package>
Comment 5 Isaiah Weiner 2002-03-06 19:52:33 EST
Ah-ha, no.  It was left over from something else; trying to add it results in:

$ sudo rhn_package_manager -c "cisco-live" \
/auto/ecslinux/ALLRPMS/internal/cisco-sysfiles-2.43-3.noarch.rpm 
Red Hat Network username: CiscoOrgAdmin
Red Hat Network password: 
Internal Server Error

Please clear the channel again.  Now there are some things to be done - there 
is an archived action that needs to be gotten 'rid' of; trying to remove the 
machine from the action doesn't appear to work.

Once those things are done we can close the bug, change status to NOTABUG.
Comment 6 Isaiah Weiner 2002-03-06 19:54:34 EST
Oops.  Wrong package name.  But also adding -2 results in the same thing.  In 
fact all addition attempts result in the mysterious "Internal Server Error."
Comment 7 Isaiah Weiner 2002-03-06 20:13:10 EST
And adding -3 now works.  I didn't add -v before, I probably should have; any 
ideas why things were breaking and now work?
Comment 8 Isaiah Weiner 2002-03-06 20:16:20 EST
Okay, after adding -3 to the channel, rhn_package_manager with -s option still 
says that package is out of sync; it appears on the website instead of -2, 
which is good.  Running rhn_check -v now still results with 404:

bash-2.04$ su root -c '/usr/sbin/rhn_check -v'
Password:
handle_action actionid = 1883947, version = 2
Traceback (innermost last):
  File "/usr/sbin/rhn_check", line 254, in ?
    handle_action(action)
  File "/usr/sbin/rhn_check", line 159, in handle_action
    (status, message, data) = do_call(method, params)
  File "/usr/sbin/rhn_check", line 72, in do_call
    retval = apply(method, params)
  File "/usr/share/rhn/actions/packages.py", line 110, in update
    res = batchRun(0, pkgList)
  File "/usr/share/rhn/actions/packages.py", line 122, in batchRun
    ret = wrapper.batchRun(onlyList, [], 0, fromDaemon = 1, actionPkgs = 
pkgList) 
  File "/usr/share/rhn/up2date_client/wrapper.py", line 905, in batchRun
    ret = runFromDaemon(pkgNames, actionPkgs, availUpdates, fromDaemon)
  File "/usr/share/rhn/up2date_client/wrapper.py", line 870, in runFromDaemon
    None, None )
  File "/usr/share/rhn/up2date_client/up2date.py", line 1570, in 
getUpdatedPackageList
    refreshCallback)
  File "/usr/share/rhn/up2date_client/up2date.py", line 827, in getHeaders
    hdr, sourcetype = doCall(headerSource.getHeader, pkg)
  File "/usr/share/rhn/up2date_client/up2date.py", line 313, in doCall
    raise CommunicationError(e.errmsg)
up2date_client.up2date.CommunicationError: Error communicating with server.  
The message was:
404: "Not Found" while attempting to get
$RHN/cisco-live/getPackageHeader/cisco-sysfiles-2.43-3.noarch.hdr

Here is the output from the addition:
[17:12:08|iweiner:linus:~]$ sudo rhn_package_manager -v -c "cisco-
live" /auto/ecslinux/ALLRPMS/internal/cisco-sysfiles-2.43-3.noarch.rpm
Channels: cisco-live
Red Hat Network username: CiscoOrgAdmin
Red Hat Network password:
Connecting to http://www.rhns.redhat.com/XP
Uploading /auto/ecslinux/ALLRPMS/internal/cisco-sysfiles-2.43-3.noarch.rpm
Uploading batch:
                /auto/ecslinux/ALLRPMS/internal/cisco-sysfiles-2.43-3.noarch.rpm
Uploaded: /auto/ecslinux/ALLRPMS/internal/cisco-sysfiles-2.43-3.noarch.rpm
Copying /auto/ecslinux/ALLRPMS/internal/cisco-sysfiles-2.43-3.noarch.rpm 
to /auto/ecslinux/RHN/Proxy/up2date/cisco-live/RPMS/cisco-sysfiles-2.43-
3.noarch.rpm
Comment 9 Isaiah Weiner 2002-03-06 21:54:09 EST
Alright, I don't get it.  At the time following the push above, 
`rhn_package_manager -c "cisco-live" -s` complained about cisco-sysfiles.  Now 
it doesn't.  What kind of delays can Cisco expect in the future?
Comment 10 Mihai Ibanescu 2002-03-07 14:30:47 EST
There is a bug I've fixed that generates those ISE-s on the server side. I'll
try to push the fix but we have a very unstable environment ATM.
Comment 11 Isaiah Weiner 2002-03-08 13:26:31 EST
How about now?
Comment 12 Isaiah Weiner 2002-03-12 16:04:53 EST
% sudo rhn_check -v
Password:
handle_action actionid = 2048246, version = 2
Traceback (innermost last):
  File "/usr/sbin/rhn_check", line 254, in ?
    handle_action(action)
  File "/usr/sbin/rhn_check", line 159, in handle_action
    (status, message, data) = do_call(method, params)
  File "/usr/sbin/rhn_check", line 72, in do_call
    retval = apply(method, params)
  File "/usr/share/rhn/actions/packages.py", line 110, in update
    res = batchRun(0, pkgList)
  File "/usr/share/rhn/actions/packages.py", line 122, in batchRun
    ret = wrapper.batchRun(onlyList, [], 0, fromDaemon = 1, actionPkgs =
pkgList)
  File "/usr/share/rhn/up2date_client/wrapper.py", line 905, in batchRun
    ret = runFromDaemon(pkgNames, actionPkgs, availUpdates, fromDaemon)
  File "/usr/share/rhn/up2date_client/wrapper.py", line 870, in
runFromDaemon
    None, None )
  File "/usr/share/rhn/up2date_client/up2date.py", line 1570, in
getUpdatedPackageList
    refreshCallback)
  File "/usr/share/rhn/up2date_client/up2date.py", line 827, in
getHeaders
    hdr, sourcetype = doCall(headerSource.getHeader, pkg)
  File "/usr/share/rhn/up2date_client/up2date.py", line 313, in doCall
    raise CommunicationError(e.errmsg)
up2date_client.up2date.CommunicationError: Error communicating with
server.  The message was:
404: "Not Found" while attempting to get
$RHN/cisco-live/getPackageHeader/cisco-sudoers-1.0-97.noarch.hdr
Comment 13 Isaiah Weiner 2002-04-16 16:34:14 EDT
As of 2002-04-16, BretB made this work for Cisco.
Comment 14 Isaiah Weiner 2002-04-16 16:34:15 EDT
As of 2002-04-16, BretB made this work for Cisco.

Note You need to log in before you can comment on or make changes to this bug.